### Class

# Gsk CairoRenderer

since: 4.0

#### Description [src]

    final class Gsk.CairoRenderer : Gsk.Renderer
    {
      /* No available fields */
    }

A GSK renderer that is using cairo.

Since it is using cairo, this renderer cannot support 3D transformations.

Available since: 4.0

#### Ancestors

- GskRenderer
- GObject

#### Constructors

###### gsk_cairo_renderer_new

Creates a new Cairo renderer.

since: 4.0

#### Instance methods

##### Methods inherited from GskRenderer (7)

###### gsk_renderer_get_surface

Retrieves the `GdkSurface` set using gsk_enderer_realize().

since: 4.0

###### gsk_renderer_is_realized

Checks whether the `renderer` is realized or not.

since: 4.0

###### gsk_renderer_realize

Creates the resources needed by the `renderer` to render the scene graph.

since: 4.0

###### gsk_renderer_realize_for_display

Creates the resources needed by the `renderer` to render the scene graph.

since: 4.14

###### gsk_renderer_render

Renders the scene graph, described by a tree of `GskRenderNode` instances to the renderer’s surface, ensuring that the given `region` gets redrawn.

since: 4.0

###### gsk_renderer_render_texture

Renders the scene graph, described by a tree of `GskRenderNode` instances, to a `GdkTexture`.

since: 4.0

###### gsk_renderer_unrealize

Releases all the resources created by gsk_renderer_realize().

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GskRenderer (2)

###### Gsk.Renderer:realized

Whether the renderer has been associated with a surface or draw context.

since: 4.0

###### Gsk.Renderer:surface

The surface associated with renderer.

since: 4.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GskCairoRendererClass {
      /* no available fields */
    }

No description available.